<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-usuario-heading">Create or edit a Usuario</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_loginUsuario">Login Usuario</label>
                    <input type="text" class="form-control" name="loginUsuario" id="field_loginUsuario"
                           formControlName="loginUsuario"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_nombreUsuario">Nombre Usuario</label>
                    <input type="text" class="form-control" name="nombreUsuario" id="field_nombreUsuario"
                           formControlName="nombreUsuario"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_foto">Foto</label>
                    <input type="text" class="form-control" name="foto" id="field_foto"
                           formControlName="foto"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_userId">User Id</label>
                    <input type="number" class="form-control" name="userId" id="field_userId"
                           formControlName="userId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_tipoDocumento">Tipo Documento</label>
                    <input type="number" class="form-control" name="tipoDocumento" id="field_tipoDocumento"
                           formControlName="tipoDocumento"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_numeroDocumento">Numero Documento</label>
                    <input type="number" class="form-control" name="numeroDocumento" id="field_numeroDocumento"
                           formControlName="numeroDocumento"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_telefono">Telefono</label>
                    <input type="number" class="form-control" name="telefono" id="field_telefono"
                           formControlName="telefono"/>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
